<?php

namespace DefStudio\GameEngine\Listeners\Stories;

use DefStudio\GameEngine\Events\Stories\TeamSubscribedToStory;

class TeamSubscribedToStoryListener
{
    public function handle(TeamSubscribedToStory $event): void
    {
        $event->story->unsetRelation('teams');
    }
}
